
BornAgain - Bug #2008

GUI->Fitting: ROI in experimental data causes NaN fitting parameters

12 Mar 2018 17:02 - ganeva

Status: Resolved Start date: 12 Mar 2018

Priority: Normal Due date:  

Assignee: pospelov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Presence of the ROI in the experimental data causes the following error message by fitting:

`FitParameterSet::setValues() -> Error. Attempt to set nan 'par0'.`

To reproduce:

- start BornAgain GUI

- create a sample (I took predefuned cylinders and prisms)

- load some experimental data, switch to the mask editor and select a ROI

- run simulation, try to fit some parameter

History

#1 - 19 Mar 2018 12:05 - herck

- Status changed from New to Sprint

- Target version set to Sprint 37

#2 - 19 Mar 2018 12:28 - pospelov

- Assignee set to pospelov

#3 - 19 Mar 2018 16:58 - pospelov

- Status changed from Sprint to Resolved

#4 - 21 Mar 2018 17:50 - herck

- Target version deleted (Sprint 37)
